summaryrefslogtreecommitdiffstats
path: root/dvm/2554
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2011-09-07 12:30:00 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-09-07 12:30:00 +0530
commit13e58112abba2bad7ba5cba0ddb2927f98f1b387 (patch)
tree5a9c52f24979babcaa95ac1ba388283b177d3554 /dvm/2554
parent8904b7e4958f886afc48108504bd558703930b48 (diff)
few more testcases for some bugs and appropriate sleep times for glusterfs and nfs mounts
Diffstat (limited to 'dvm/2554')
-rwxr-xr-xdvm/2554/testcase21
1 files changed, 21 insertions, 0 deletions
diff --git a/dvm/2554/testcase b/dvm/2554/testcase
new file mode 100755
index 0000000..098d218
--- /dev/null
+++ b/dvm/2554/testcase
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+sleep 2;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id statt-prefetch off | grep "option : statt-prefetch does not exist" 2>/dev/null 1>/dev/null;
+temp=$?;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id qquickread off | grep "Did you mean quick-read?" 2>/dev/null 1>/dev/null
+temp1=$?;
+
+if [ $temp -eq 0 ] && [ $temp1 -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi